thread_pthread.h File Reference
`#include <pthread.h>`
`#include <semaphore.h>`

Go to the source code of this file.

## Data Structures

struct | rb_thread_cond_struct
struct | native_thread_data_struct
struct | rb_global_vm_lock_struct

## Typedefs

typedef pthread_t | rb_thread_id_t
typedef pthread_mutex_t | rb_thread_lock_t
typedef struct rb_thread_cond_struct | rb_thread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t
typedef struct rb_global_vm_lock_struct | rb_global_vm_lock_t

## Typedef Documentation

typedef struct native_thread_data_struct native_thread_data_t

typedef struct rb_global_vm_lock_struct rb_global_vm_lock_t

typedef struct rb_thread_cond_struct rb_thread_cond_t

typedef pthread_t rb_thread_id_t

Definition at line 18 of file thread_pthread.h.

typedef pthread_mutex_t rb_thread_lock_t

Definition at line 19 of file thread_pthread.h.